﻿Imports System
Imports System.IO
Imports System.Net
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Data
Imports System.Windows.Media
Imports System.Windows.Media.Animation
Imports System.Windows.Navigation

Imports System.Collections.ObjectModel

Partial Public Class Window1
	Public Sub New()
		MyBase.New()

		Me.InitializeComponent()

        ' Insert code required on object creation below this point.

        ' Create a list of BookInfos.
        Dim books As New ObservableCollection(Of BookInfo)
        books.Add(New BookInfo("Daniel Pinkwater", "5 Novels", "1997", "9.56"))
        books.Add(New BookInfo("Glen Cook", "Cold Copper Tears (Garrett Files)", "2007", "6.99"))
        books.Add(New BookInfo("Simon R. Green", "The Man With the Golden Torc", "2008", "7.99"))
        books.Add(New BookInfo("Tad Williams", "The War of the Flowers", "2004", "8.99"))
        books.Add(New BookInfo("Tom Holt", "You Don't Have to Be Evil to Work Here, But it Helps", "2007", "10.00"))

        ' Set the ListView's data context to this list.
        lvwBooks.DataContext = books
    End Sub

    Public Class BookInfo
        Public Sub New(ByVal new_Author As String, ByVal new_title As String, ByVal new_Year As String, ByVal new_Price As String)
            Author = new_Author
            Title = new_title
            Year = new_Year
            Price = new_Price
        End Sub

        Private m_Author As String
        Public Property Author() As String
            Get
                Return m_Author
            End Get
            Set(ByVal value As String)
                m_Author = value
            End Set
        End Property

        Private m_Title As String
        Public Property Title() As String
            Get
                Return m_Title
            End Get
            Set(ByVal value As String)
                m_Title = value
            End Set
        End Property

        Private m_Year As String
        Public Property Year() As String
            Get
                Return m_Year
            End Get
            Set(ByVal value As String)
                m_Year = value
            End Set
        End Property

        Private m_Price As String
        Public Property Price() As String
            Get
                Return m_Price
            End Get
            Set(ByVal value As String)
                m_Price = value
            End Set
        End Property
    End Class
End Class
